package com.huimv.admin.service.primary;

import com.alibaba.fastjson.JSONObject;
import com.huimv.admin.domain.primary.SysUserEntity;
import com.huimv.admin.group.UserAndAccountGroup;
import com.huimv.admin.utils.Result;
import org.springframework.data.domain.Page;

import java.util.List;

public interface IUserService {

    Page<SysUserEntity> findUser(String searchStr, int pageNum, int pageSize);

    JSONObject findUserAccount(String searchStr, int pageNum, int pageSize);

    JSONObject findUserAccount2(String searchStr, int pageNum, int pageSize);

    List<UserAndAccountGroup> yxxList(String searchStr, int pageNum, int pageSize);

    Result addUser(SysUserEntity user);

    Result updateUser(SysUserEntity user);

    Result removeUser(List<Integer> userIds);
}
